"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.createConfig = void 0;

var _webpack = _interopRequireDefault(require("webpack"));

var _lodash = _interopRequireDefault(require("lodash.isfunction"));

var _webpackHotClient = _interopRequireDefault(require("webpack-hot-client"));

var _webpackDevMiddleware = _interopRequireDefault(require("webpack-dev-middleware"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const createConfig = (config = {}) => (0, _lodash.default)(config) ? config(process.env) : config;

exports.createConfig = createConfig;

var _default = (configCreator = {}) => {
  const config = createConfig(configCreator);
  const compiler = (0, _webpack.default)(config);
  (0, _webpackHotClient.default)(compiler);
  return [(0, _webpackDevMiddleware.default)(compiler, {
    noInfo: true,
    hot: true,
    publicPath: '/',
    stats: 'minimal'
  })];
};

exports.default = _default;